environments.promote
POST
/environments/{environmentId}/promote
const url = 'https://example.com/api/environments/example/promote';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"targetName":"example","targetKind":"local"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/environments/example/promote \ --header 'Content-Type: application/json' \ --data '{ "targetName": "example", "targetKind": "local" }'Promotes one environment configuration set into another. Public docs: /docs/environments/changes/diff-promote/#environment-diff
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” environmentId
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
targetName
required
string
targetKind
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
id
required
string
Example generated
{ "id": "example"}